Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class AgendaItemTableModel.TreeAgendaItem

    java.lang.Object
      ix.iface.ui.table.IXTreeTableNode
          ix.ip2.AgendaItemTableModel.TreeAgendaItem

All Implemented Interfaces:
  AgendaItemListener, java.util.EventListener, javax.swing.tree.TreeNode

Enclosing class:
  AgendaItemTableModel

    protected class AgendaItemTableModel.TreeAgendaItem

extends IXTreeTableNode
implements AgendaItemListener

Field Summary
`HandlerAction` | `handlerAction`
`java.util.List` | `handlerActions`
`AgendaItem` | `node`

Fields inherited from class ix.iface.ui.table.IXTreeTableNode
`expanded, indent, kids, model, parentLine`

Constructor Summary
`AgendaItemTableModel.TreeAgendaItem(AgendaItemTableModel model, AgendaItem agendaItem)`

Method Summary
`void` | `agendaItemEdited(AgendaItemEvent e)`
`java.util.Enumeration` | `children()`
`void` | `disableActions()`
`void` | `disablePriority()`
`void` | `enableActions()`
`void` | `enablePriority()`
`boolean` | `getAllowsChildren()`
`javax.swing.tree.TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`int` | `getIndex(javax.swing.tree.TreeNode treeNode)`
`javax.swing.tree.TreeNode` | `getParent()`
`void` | `handlerActionsChanged(AgendaItemEvent e)`
`boolean` | `isLeaf()`
`protected void` | `loadHandlerActions()`
`void` | `newHandlerAction(AgendaItemEvent ae, HandlerAction act)`
`void` | `newReport(AgendaItemEvent e, Report report)`
`protected void` | `noticeStatus()`
`void` | `priorityChanged(AgendaItemEvent e)`
`void` | `setHandlerAction(HandlerAction action)`
`void` | `statusChanged(AgendaItemEvent e)`
`boolean` | `takesAction()`
`boolean` | `takesPriority()`

Methods inherited from class ix.iface.ui.table.IXTreeTableNode
`equals, getParents, setExpanded, setParents, toDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    public AgendaItem node

### handlerAction

    public HandlerAction handlerAction

### handlerActions

    public java.util.List handlerActions

Constructor Detail

### AgendaItemTableModel.TreeAgendaItem

    public AgendaItemTableModel.TreeAgendaItem(AgendaItemTableModel model,
                                               AgendaItem agendaItem)

Method Detail

### takesAction

    public boolean takesAction()

### disableActions

    public void disableActions()

### enableActions

    public void enableActions()

### takesPriority

    public boolean takesPriority()

### disablePriority

    public void disablePriority()

### enablePriority

    public void enablePriority()

### loadHandlerActions

    protected void loadHandlerActions()

### noticeStatus

    protected void noticeStatus()

### setHandlerAction

    public void setHandlerAction(HandlerAction action)

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int index)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode treeNode)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`

### statusChanged

    public void statusChanged(AgendaItemEvent e)

  Specified by:
    `statusChanged` in interface `AgendaItemListener`

### priorityChanged

    public void priorityChanged(AgendaItemEvent e)

  Specified by:
    `priorityChanged` in interface `AgendaItemListener`

### newHandlerAction

    public void newHandlerAction(AgendaItemEvent ae,
                                 HandlerAction act)

  Specified by:
    `newHandlerAction` in interface `AgendaItemListener`

### handlerActionsChanged

    public void handlerActionsChanged(AgendaItemEvent e)

  Specified by:
    `handlerActionsChanged` in interface `AgendaItemListener`

### newReport

    public void newReport(AgendaItemEvent e,
                          Report report)

  Specified by:
    `newReport` in interface `AgendaItemListener`

### agendaItemEdited

    public void agendaItemEdited(AgendaItemEvent e)

  Specified by:
    `agendaItemEdited` in interface `AgendaItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD